%define name fgcomgui
%define version svn.46
%define release %mkrel 1

%define prefix /usr

Name:		%{name}
Version:	%{version}
Release: 	%{release}
Summary:	FlightGear fgcom GUI frontend
License:	GPL2
URL:		http://code.google.com/p/fgcomgui/
Group: 		Games/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%{name}.tar.xz
Patch0:		scons-fix-folders.patch
Patch1:		fgcomgui-fixdoc.patch
BuildRequires:	%{_lib}qt4-devel scons subversion
Requires:	fgcom

%description
FGComGui is a simple gui front end to fgcom, which aims to make using fgcom easy and friendly

%prep
%setup -q -n %{name}
%patch0
%patch1

%build
scons prefix=/usr

%install
rm -rf %{buildroot}
scons install prefix=$RPM_BUILD_ROOT/usr

%__cat > %{buildroot}%{_datadir}/applications/fgcomgui.desktop <<EOF
[Desktop Entry]
Name=FGComGui
GenericName=Gui Front End For FGCom
Comment=Gui Front End For FGCom
Icon=fgcomgui
Exec=fgcomgui
StartupNotify=false
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;
EOF

%clean
rm -rf %{buildroot}

%post
%update_icon_cache hicolor
%update_menus
%update_desktop_database
cat << EOF

Please follow instructiong given in the menu-> Documentation on how
to setup fgcomgui

EOF

%postun
%clean_icon_cache hicolor
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root,755)
%doc INSTALL.txt LICENSE.txt README.txt
%{_bindir}
%{_datadir}

%changelog
* Mon Jan 02 2012 Neal <nealbrks at gmail dot com> svn.249-1pclos2011
- process

* Mon Jan 02 2012 MBantz <martin dot bantz at gmail dot com> svn.249-1pclos2011
- Adapted to 64 bit

* Sun Nov 28 2010 MBantz <martin dot bantz at gmail dot com> svn.249-1pclos2010
- Built for PCLinuxOS

